package com.hw.qms.domain.vo;

import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;
import com.hw.qms.domain.QmsCheckInstanceFile;
import com.hw.qms.domain.QmsCheckResultDetailProject;
import com.hw.qms.domain.QmsQualityInstanceActivity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.List;

/**
 * 质检结果详情对象 QmsCheckResultDetailVo,返回给前端的对象
 *
 * @author xins
 * @date 2024-01-23
 */
public class QmsCheckResultDetailVo
{
    private static final long serialVersionUID = 1L;

    private Long checkResultId;
    /**
     * 批次数量
     */
    private int batchAmount;
    private int passAmount;

    private int failAmount;

    private String checkMode;

    private BigDecimal checkSample;

    private String materialCode;

    private String materialName;

    private String wfInstsanceStatus;

    private String checkRuleType;

    List<QmsQualityInstanceActivity> qmsQualityInstanceActivities;

    List<QmsCheckInstanceFile> qmsCheckInstanceFiles;

    private boolean picEditedAble = false;//图片是否可编辑或上传

    public Long getCheckResultId() {
        return checkResultId;
    }

    public void setCheckResultId(Long checkResultId) {
        this.checkResultId = checkResultId;
    }

    public int getBatchAmount() {
        return batchAmount;
    }

    public void setBatchAmount(int batchAmount) {
        this.batchAmount = batchAmount;
    }

    public int getPassAmount() {
        return passAmount;
    }

    public void setPassAmount(int passAmount) {
        this.passAmount = passAmount;
    }

    public int getFailAmount() {
        return failAmount;
    }

    public void setFailAmount(int failAmount) {
        this.failAmount = failAmount;
    }

    public String getCheckMode() {
        return checkMode;
    }

    public void setCheckMode(String checkMode) {
        this.checkMode = checkMode;
    }

    public BigDecimal getCheckSample() {
        return checkSample;
    }

    public void setCheckSample(BigDecimal checkSample) {
        this.checkSample = checkSample;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getWfInstsanceStatus() {
        return wfInstsanceStatus;
    }

    public void setWfInstsanceStatus(String wfInstsanceStatus) {
        this.wfInstsanceStatus = wfInstsanceStatus;
    }

    public String getCheckRuleType() {
        return checkRuleType;
    }

    public void setCheckRuleType(String checkRuleType) {
        this.checkRuleType = checkRuleType;
    }

    public List<QmsQualityInstanceActivity> getQmsQualityInstanceActivities() {
        return qmsQualityInstanceActivities;
    }

    public void setQmsQualityInstanceActivities(List<QmsQualityInstanceActivity> qmsQualityInstanceActivities) {
        this.qmsQualityInstanceActivities = qmsQualityInstanceActivities;
    }

    public List<QmsCheckInstanceFile> getQmsCheckInstanceFiles() {
        return qmsCheckInstanceFiles;
    }

    public void setQmsCheckInstanceFiles(List<QmsCheckInstanceFile> qmsCheckInstanceFiles) {
        this.qmsCheckInstanceFiles = qmsCheckInstanceFiles;
    }

    public boolean isPicEditedAble() {
        return picEditedAble;
    }

    public void setPicEditedAble(boolean picEditedAble) {
        this.picEditedAble = picEditedAble;
    }
}
